会话

获取会话自定义属性

GET/api/websites/{websiteId}/sessions/{sessionId}/properties

返回指定网站会话的自定义属性记录、数据类型和值。

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
websiteIdrequiredstringID of the website.
sessionIdrequiredstringID of the visitor session.

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
dataKeyrequiredstringName of the custom property.
dataTyperequirednumberData type of the custom property.
dateValuerequiredstringCustom property value stored as a date-time.
numberValuerequirednumberCustom property value stored as a number.
sessionIdrequiredstringID of the visitor session.
stringValuerequiredstringCustom property value stored as a string.
websiteIdrequiredstringID of the website.
200 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL